function wavFFT( filename )
  % wav-Daten einlesen 
  % ALT:   %   [y,SR,bits] = wavread( filename );
  [y,SR] = audioread( filename );
   
  % Zeit berechnen 
  len  = length( y );  
  tmax = len / SR; 
  
  % Zeit-Array
  t = linspace( 0, tmax, len ); 
   
  % Ausgabe der Funktion als 2D-Plot   
  subplot(2,1,1);   
  plot( t, y );
  xlabel( 't / s')
  ylabel( 'Signal y')
  
  % axis-Beschrnkung 
  maxy = 1.1 * max( y );
  axis( [0 tmax/20 -maxy maxy] )
  
  % Fourier-Transformation   
  c = fft( y );
  % Betrag der Frequenzamplituden   
  A = abs( c ) * 2 / (SR*tmax);
  
  % Array der Frequenzen, normiert auf SR Hz   
  f = linspace( 0, SR, length(c) );
  
  % 2D-Plot der Frequenzamplituden ber den Frequenzen   
  subplot(2,1,2)   
  plot( f, A ) 
  xlabel( 'f / Hz')
  ylabel( 'FFT')
  
  % axis-Beschrnkung
  maxA = 1.1 * max( A );
  axis( [0 SR/10 -maxA/100 maxA] )   
   