%
%  >> T = [ 1610,  1802,  1916,  2094,  2192,  2280,  2450  ];
%  >> U = [ 0.335, 0.711, 1.180, 1.790, 2.495, 3.250, 4.117 ];
%  >> n = strahlung( T, U ) 
%
function n = strahlung( T, U )         
  x = log( T );                        
  y = log( U );                       
  p = polyfit( x, y, 1 );              
  
  n = p(1);                           
  
  U0 = U(1);
  T0 = T(1);
  U1 = U0 * (T/T0).^n;                 
  
  % alternativ
  k = exp( p(2) );
  U2 = k * T.^n;
  
  plot( T,U,'sk', T,U1,'-r', T,U2,'-b' )         

end