%
%  Legen Sie durch die folgenden Temperatur-Messwerte eine Ausgleichsgerade 
%    und stellen Sie die Messwerte und die Gerade grafisch dar, 
%    analog ausgleichsgerade.m:
%    16.2, 15.8, 17.6, 19.1, 19.2, 21.0, 20.9, 22.5, 23.1, 23.7
%
%  Berechnen Sie auerdem den Mittelwert mw der Temperaturen und 
%  den Standardfehler sf = Standardabweichung / Wurzel( Anzahl der Messwerte ).
%
%  >> [mw,sf] = temperaturen()
%
function  [mw,sf] = temperaturen()

   % Messwerte:
   werte = [16.2, 15.8, 17.6, 19.1, 19.2, 21.0, 20.9, 22.5, 23.1, 23.7];
   % Messzeiten
   t = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];
   
   % Ausgleichgerade bestimmen
   p = polyfit( t, werte, 1 );
   w = polyval( p, t );
   
   hold on
   % Ausgleichgerade zeichnen
   plot(t,w);
   % Messpunkte zeichnen
   plot(t,werte,'s');
   axis([0 11 15 25])
   ylabel( 'Temperatur / C' );
   xlabel( 'Zeit / Std' );
   hold off 
   
   % Mittelwert
   mw = mean( werte );
   sa = std( werte );
   sf = sa / sqrt( length(werte) );
