%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Funktion synth_berechne_schwingung() 
%
%  Autor: Ulrich Stein, Dept. M+P, HAW Hamburg
%
%  Erzeugt:          22.04.2006
%  Letzte nderung:  24.03.2008
%
%--------------------------------------------------------------------
%
%  Berechnet die Schwingung aus den Musik-Daten.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function  synth_berechne_schwingung()

    global synth_data;  
    % alles lschen
    synth_data.tfeld = [];
    synth_data.schwingung = [];
    synth_data.original = [];
    
    SR = synth_data.samplerate;
    TS = synth_data.dauer; 
    A0 = synth_data.intensitaet;
        
    % Zeitintervall von 0 bis TS s
    % Array mit Sttzpunkten im Abstand 1/SR s
    synth_data.tfeld = 0 : 1/SR : TS;
    
    anzahl = int32(TS*SR+1);
    synth_data.original( 1:anzahl ) = 0;
    
    % alle Obertne dazu addieren
    for( ot = 1:synth_data.oberton.anzahl )
    
        A = A0 * synth_data.oberton.intensitaet(ot);
        if( A > eps )
            f = synth_data.frequenz * synth_data.oberton.frequenz(ot);
        
            % Array mit Funktionswerten an den Sttzpunkten
            y = A * sin( 2 * pi * f * synth_data.tfeld );
            
            synth_data.original = synth_data.original + y;
        end
    end 
        
    % die Original-Schwingung als Ausgangsbasis
    %   darauf die Effekte
    synth_data.schwingung = synth_data.original; 
    synth_data.schwingung = synth_add_huellkurve( synth_data.schwingung ); 
    if( synth_data.hall.on == 1 )
      % synth_data.schwingung = synth_add_hall( synth_data.schwingung ); 
    end
    
    synth_data.angelegt = 1;

return;
